Spaces method and path for this operation:
get /s/{space_id}/api/endpoint_list/items/_find
Refer to Spaces for more information.
Get a list of all Elastic Endpoint exception list items.
Query parameters
-
Filters the returned results according to the value of the specified field, using the
<field name>:<field value>syntax.Minimum length is
1. -
The page number to return
Minimum value is
0. -
The number of exception list items to return per page
Minimum value is
0. -
Determines which field is used to sort the results
Minimum length is
1. -
Determines the sort order, which can be
descorascValues are
descorasc.
GET
/api/endpoint_list/items/_find
curl \
--request GET 'https://<KIBANA_URL>/api/endpoint_list/items/_find' \
--header "Authorization: $API_KEY"
Response examples (200)
{
"data": [
{
"comments": [],
"created_at": "2025-01-01T12:00:00.000Z",
"created_by": "elastic",
"description": "Blocks a known malicious file by its hash",
"entries": [
{
"field": "file.hash.sha256",
"operator": "included",
"type": "match",
"value": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855"
}
],
"id": "d4b0c1e2-3f4a-5b6c-7d8e-9f0a1b2c3d4e",
"item_id": "block-malicious-file",
"list_id": "endpoint_list",
"name": "Block malicious file",
"namespace_type": "agnostic",
"os_types": [
"windows"
],
"tags": [
"policy:all"
],
"tie_breaker_id": "f1e2d3c4-b5a6-7890-abcd-ef1234567890",
"type": "simple",
"updated_at": "2025-01-01T12:00:00.000Z",
"updated_by": "elastic"
}
],
"page": 1,
"per_page": 20,
"total": 1
}